// you should not need to change this class
public abstract class PhysicsElement {
   private final int myId; 
   
   protected PhysicsElement( int id){
      myId = id;
   }
   protected int getId() {
      return myId;
   }
   public void setInitialState(float g, float k){
   }
   public void computeNextState(double delta_t, float gravity, float k){
   }
   public void updateState() {
   }
   public abstract String getDescription();
   public abstract String getState();
}
